regression: List elements on salt documentation painted incorrectly

RESOLVED WORKSFORME

Status

()

defect
P1
normal
RESOLVED WORKSFORME
2 years ago
a year ago

People

(Reporter: jdm, Unassigned)

Tracking

({regression})

Trunk
Points:
---
Dependency tree / graph

Firefox Tracking Flags

(firefox-esr52 unaffected, firefox57 unaffected, firefox58 unaffected, firefox59 unaffected)

Details

(Whiteboard: [wr-reserve], URL)

Attachments

(4 attachments)

(Reporter)

Description

2 years ago
The rendered list on the right hand side of https://docs.saltstack.com/en/latest/ref/states/all/salt.states.cmd.html looks really weird when I view it with the recommended WebRender settings from https://mozillagfx.wordpress.com/2017/11/27/webrender-newsletter-10/. That page also causes the FF tab title text to disappear while it's active; when I switch to another tab, all of the tab titles reappear.
Nightly 59 x64 20171128100440 de_DE 5b33b070378ae0806bed0b5e5e34de429a29e7db @ Debian Testing (KDE, Radeon RX480)
fresh profile: layers.acceleration.force-enabled, gfx.webrender.enabled, gfx.webrender.blob-images, image.mem.shared

WFM. Could you make a screenshot and copy/upload the output of about:support afterwards? Thank you.
Whiteboard: [wr-mvp] [triage]
Version: unspecified → Trunk
(Reporter)

Comment 2

2 years ago
Posted image Incorrect rendering
(Reporter)

Comment 3

2 years ago
This was taken on the 11/28 macOS nightly.
(Reporter)

Comment 4

2 years ago
Posted file about:support
OS: Unspecified → Mac OS X
Hardware: Unspecified → x86_64
Interesting, I don't repro it either in 11/28 macOS nightly with those prefs set. Do you have any other prefs set?
According to your about:support there don't seem to be any other relevant prefs. But you have a different graphics card than I do, maybe that's the difference.
I can reproduce this on my machine. Disabling the box-shadow declarations in the "#sidebar-nav > ul > .current" rule makes the glitch go away.

This is an inset box-shadow with a 1px blur radius on an element with a height of 9706px.
box-shadwo: inset 0 1px 1px rgba(0,0,0,.05)
Whiteboard: [wr-mvp] [triage] → [wr-reserve]
Posted file testcase
https://bugzilla.mozilla.org/attachment.cgi?id=8933009

First regression:
2017-10-18: The locationbar got a big grey shadow.
(But even before this date that box can get black when zooming in.)
mozregression --good 2017-09-15 --bad 2017-11-29 --pref "layers.acceleration.force-enabled:true" "gfx.webrender.enabled:true" "gfx.webrendest.enabled:true" "gfx.webrender.layers-free:true" "gfx.webrender.blob-images:true" "image.mem.shared:true"
> 10:20.48 INFO: Last good revision: 65fe9a60d39dc8ddfdf805a3ffc8a217da638cab
> 10:20.49 INFO: First bad revision: 882e0b30bc0eaed2d78bee279e51b67e6ee6bbbf
> 10:20.49 INFO: Pushlog:
> https://hg.mozilla.org/integration/autoland/pushloghtml?fromchange=65fe9a60d39dc8ddfdf805a3ffc8a217da638cab&tochange=882e0b30bc0eaed2d78bee279e51b67e6ee6bbbf

> Kartikaya Gupta — Bug 1408461 - Update webrender to commit 7892f5364bc4d35c7a9b42949f0ace4cc54f8b3c. r=jrmuizel

Second regression:
2017-11-17. Assuming the first regression is "good".
"Bad" is when there are colorful/random things inside the box, or when the tab text or back button are blank.
If unsure, open a new tab, switch back and press F5.
mozregression --good 2017-11-10 --bad 2017-11-29 --pref "layers.acceleration.force-enabled:true" "gfx.webrender.enabled:true" "gfx.webrender.blob-images:true" "image.mem.shared:true"
> 9:26.24 INFO: Last good revision: ef9858e9ad38718eea180a62bb5b65561ad57d91
> 9:26.24 INFO: First bad revision: cdf4bb1c6af6e53643d2beb0f10a2ce29207ff5e
> 9:26.24 INFO: Pushlog:
> https://hg.mozilla.org/integration/autoland/pushloghtml?fromchange=ef9858e9ad38718eea180a62bb5b65561ad57d91&tochange=cdf4bb1c6af6e53643d2beb0f10a2ce29207ff5e

> cdf4bb1c6af6	Kartikaya Gupta — Bug 1417062 - Update for API change in WR PR 2043. r=nical
> 72cfd88fe0a0	Kartikaya Gupta — Bug 1417062 - Update reftest annotations for changes in WR PR 2031. r=nical
> c80c224d6b0c	Kartikaya Gupta — Bug 1417062 - Update webrender to commit d490a74c438d987122c600afca6bb2247ab38637. r=nical
Blocks: 1408461, 1417062
Has Regression Range: --- → yes
Has STR: --- → yes
Keywords: regression
OS: Mac OS X → All
Hardware: x86_64 → All
Summary: List elements on salt documentation painted incorrectly → regression: List elements on salt documentation painted incorrectly
See Also: → 1419528
See Also: → 1423696
See Also: → 1424034
(Reporter)

Comment 12

a year ago
I can no longer reproduce this problem.
Status: NEW → RESOLVED
Last Resolved: a year ago
Resolution: --- → WORKSFORME
You need to log in before you can comment on or make changes to this bug.